/**
 * Licensed under the Common Development and Distribution License,
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.sun.com/cddl/
 *   
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.ajax4jsf.ajax;

import javax.faces.component.UIPanel;

import org.ajax4jsf.framework.ajax.AjaxOutput;


/**
 * @author asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)
 * @version $Revision: 1.2 $ $Date: 2006/06/22 11:43:42 $
 *
 */
public abstract class UIAjaxOutputPanel extends UIPanel implements AjaxOutput {
	
    public static final String COMPONENT_TYPE = "org.ajax4jsf.ajax.OutputPanel";
	/**
	 * @return
	 */
	public abstract String getLayout();

	public abstract void setLayout(String layout);
	
}
