/**
 * 
 */
package org.ajax4jsf.framework.ajax;

/**
 * Interface for all components capable to process {@link org.ajax4jsf.framework.ajax.AjaxEvent}'s
 * @author shura
 *
 */
public interface AjaxSource {
	/**
     * same as for ActionSource, but for AjaxListener
     * 
     * @see javax.faces.component.ActionSource#addActionListener(javax.faces.event.ActionListener)
     */
    public void addAjaxListener(AjaxListener listener);

    /**
     * same as for ActionSource, but for AjaxListener
     * 
     * @see javax.faces.component.ActionSource#getActionListeners()
     */
    public AjaxListener[] getAjaxListeners();

    /**
     *  same as for ActionSource, but for AjaxListener
     * @see javax.faces.component.ActionSource#removeActionListener(javax.faces.event.ActionListener)
     */
    public void removeAjaxListener(AjaxListener listener);


}
