/**
 * 
 */
package org.ajax4jsf.renderers.ajax;

import java.io.IOException;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.ajax4jsf.framework.renderer.compiler.PreparedTemplate;
import org.ajax4jsf.framework.renderer.compiler.TemplateContext;

/**
 * @author shura
 *
 */
public abstract class AjaxTemplatedCommandRendererBase extends AjaxCommandRendererBase {

	protected void doEncodeBegin(ResponseWriter writer, FacesContext context, UIComponent component) throws IOException {
	//		AjaxRendererUtils.encodeClientScript(context,component);
			getTemplate(context).encode(this,context,component);		
		}



	protected void doEncodeEnd(ResponseWriter writer, FacesContext context, UIComponent component) throws IOException {
		TemplateContext templateContext = new TemplateContext(this,context,component);
		getTemplate(context).encode(templateContext,"end");		
	}



	/**
	 * @param context TODO
	 * @return template for this component
	 */
	protected abstract PreparedTemplate getTemplate(FacesContext context);

}
