/**
 * Licensed under the Common Development and Distribution License,
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.sun.com/cddl/
 *   
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.ajax4jsf.ajax;

import javax.faces.component.UIComponentBase;

/**
 * @author shura
 *
 */
public abstract class UIAjaxLog extends UIComponentBase {

	public static final String COMPONENT_TYPE = "org.ajax4jsf.Log";
	
	public abstract String getHotkey();
	
	public abstract void setHotkey(String newvalue);

	public abstract String getName();
	public abstract void setName(String newvalue);

	public abstract String getWidth();
	public abstract void setWidth(String newvalue);

	public abstract String getHeight();
	public abstract void setHeight(String newvalue);
	
	public abstract String getLevel();
	public abstract void setLevel(String newvalue);
	
	public abstract boolean isPopup();
	public abstract void setPopup(boolean popup);
}
