package org.ajax4jsf.ajax.repeat;

import java.util.Set;

import org.ajax4jsf.framework.ajax.AjaxChildrenEncoder;

/**
 * Interface for iterable component, allowed for render given set of rows in ajax response.
 * @author shura
 *
 */
public interface AjaxDataEncoder extends AjaxChildrenEncoder {
	
	/**
	 * @return Set for values of {@link ExtendedDataModel} keys, encoded in ajax response by this component.
	 */
	public Set getAjaxKeys();
	
	public void setAjaxKeys(Set ajaxKeys);
	

}
