/**
 * Licensed under the Common Development and Distribution License,
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.sun.com/cddl/
 *   
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.ajax4jsf.framework.ajax;

import org.ajax4jsf.framework.resource.ClientScript;

/**
 * Resource for AJAX client-side script. Render one time per page.
 * @author asmirnov@exadel.com (latest modification by $Author: sergeysmirnov $)
 * @version $Revision: 1.1 $ $Date: 2006/04/28 02:04:53 $
 *
 */
public class AjaxScript extends ClientScript {

	/**
	 * Set JavaScript renderer and modification time to application-startup time.
	 */
	public AjaxScript() {
		super();
//		setRenderer(new ScriptRenderer());
//		setLastModified(new Date(InternetResourceBuilder.getInstance().getStartTime()));
	}
	

	/**
	 * @return Returns the javaScript.
	 */
	public String getJavaScript() {
		return "scripts/AJAX.js";
	}

	
}
