package org.ajax4jsf.framework.ajax.xmlfilter;

import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.io.Writer;
import java.util.Set;

public interface HtmlParser {

	public abstract void parseHtml(InputStream input, Writer output)
			throws IOException;

	public abstract void parseHtml(Reader input, Writer output)
	throws IOException;
	/**
	 * @param encoding
	 */
	public abstract void setInputEncoding(String encoding);

	/**
	 * @param encoding
	 */
	public abstract void setOutputEncoding(String encoding);
	/**
	 * Setup, must tidy move style etc. elements to head or not.
	 * @param move
	 */
	public abstract void setMoveElements(boolean move);

	/**
	 * @param scripts The scripts to set.
	 */
	public abstract void setScripts(Set scripts);

	/**
	 * @param styles The styles to set.
	 */
	public abstract void setStyles(Set styles);

	public abstract void setDoctype(String doctype);

	/**
	 * @param viewState The viewState to set.
	 */
	public abstract void setViewState(String viewState);

}