/**
 * Licensed under the Common Development and Distribution License,
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.sun.com/cddl/
 *   
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.ajax4jsf.framework.renderer.compiler;

import javax.faces.FacesException;

/**
 * Exception for process part of template.
 * @author asmirnov@exadel.com (latest modification by $Author: sergeysmirnov $)
 * @version $Revision: 1.1 $ $Date: 2006/04/28 02:04:22 $
 *
 */
public class BreakException extends FacesException {

	private String _name;
	/**
	 * @param name 
	 * 
	 */
	public BreakException(String name) {
		super();
		_name=name;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return _name;
	}



}
