/**
 * 
 */
package org.ajax4jsf.framework.skin;

import javax.faces.context.FacesContext;

/**
 * @author shura
 *
 */
public class DummySkinConfiguration implements SkinConfiguration {
	
	private Skin _skin;

	/**
	 * @param skin
	 */
	public DummySkinConfiguration(Skin skin) {
		super();
		_skin = skin;
	}

	/* (non-Javadoc)
	 * @see org.ajax4jsf.framework.skin.SkinConfiguration#containsParameter(java.lang.String)
	 */
	public boolean containsParameter(String name) {
		return _skin.containsProperty(name);
	}

	/* (non-Javadoc)
	 * @see org.ajax4jsf.framework.skin.SkinConfiguration#getParameter(javax.faces.context.FacesContext, java.lang.String)
	 */
	public Object getParameter(FacesContext context, String name) {
		return _skin.getParameter(context, name);
	}

	/* (non-Javadoc)
	 * @see org.ajax4jsf.framework.skin.SkinConfiguration#getParameter(javax.faces.context.FacesContext, java.lang.String, java.lang.String, java.lang.Object)
	 */
	public Object getParameter(FacesContext context, String name,
			String skinName, Object defaultValue) {
		Object parameter = _skin.getParameter(context, name);
		if(null == parameter){
			parameter = defaultValue;
		}
		return parameter;
	}

}
